Package org.apache.lucene.sandbox.facet

# Class FacetFieldCollector

java.lang.Object
org.apache.lucene.sandbox.facet.FacetFieldCollector

All Implemented Interfaces:
  `Collector`

public final class FacetFieldCollector extends Object implements Collector
`Collector` that brings together `FacetCutter` and `FacetRecorder` to compute facets during collection phase.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FacetFieldCollector(FacetCutter facetCutter, FacetRecorder facetRecorder)`
  Collector for cutter+recorder pair.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LeafCollector`
  `getLeafCollector(LeafReaderContext context)`
  `ScoreMode`
  `scoreMode()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.search.Collector

  `setWeight`

- ## Constructor Details

  - ### FacetFieldCollector

    public FacetFieldCollector(FacetCutter facetCutter, FacetRecorder facetRecorder)
    Collector for cutter+recorder pair.

- ## Method Details

  - ### getLeafCollector

    public LeafCollector getLeafCollector(LeafReaderContext context) throws IOException
    Specified by:
      `getLeafCollector` in interface `Collector`
    Throws:
      `IOException`

  - ### scoreMode

    public ScoreMode scoreMode()
    Specified by:
      `scoreMode` in interface `Collector`